Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7102 - make compression flags a macro
Summary: make compression flags a macro
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-18 16:49 UTC by kestes
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-11 20:49:49 UTC


Attachments (Terms of Use)

Description kestes 1999-11-18 16:49:41 UTC
Please make the zlib compression  flags a macro which
is adjustable at build time.  It  is difficult for
me to adjust the compression level at compilation time
and I have found that w9 is far too agressive for
our programs.


> The build-time compression flags are "w9" in
> build/pack.c cpio_gzip(). Change 9 to any of [0-9]
> and recompile ...

Comment 1 Jeff Johnson 2000-01-11 20:49:59 UTC
Added %_payload_compression in rpm-3.0.4.


Note You need to log in before you can comment on or make changes to this bug.